(* Content-type: application/vnd.wolfram.cdf.text *)

(*** Wolfram CDF File ***)
(* http://www.wolfram.com/cdf *)

(* CreatedBy='Mathematica 11.0' *)

(*************************************************************************)
(*                                                                       *)
(*  The Mathematica License under which this file was created prohibits  *)
(*  restricting third parties in receipt of this file from republishing  *)
(*  or redistributing it by any means, including but not limited to      *)
(*  rights management or terms of use, without the express consent of    *)
(*  Wolfram Research, Inc. For additional information concerning CDF     *)
(*  licensing and redistribution see:                                    *)
(*                                                                       *)
(*        www.wolfram.com/cdf/adopting-cdf/licensing-options.html        *)
(*                                                                       *)
(*************************************************************************)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[      1064,         20]
NotebookDataLength[     59029,       1357]
NotebookOptionsPosition[     59179,       1342]
NotebookOutlinePosition[     59644,       1362]
CellTagsIndexPosition[     59601,       1359]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[TextData[{
 StyleBox["Force Vector Representation in 3D\n", "Title",
  FontColor->RGBColor[1, 0, 0]],
 StyleBox["Zhelong He, Marek-Jerzy Pindera \nUniversity of Virginia, \
2017-07-27",
  FontSize->16,
  FontColor->GrayLevel[0]]
}], "Text",
 TextAlignment->Center],

Cell["For 3D case, a force vector can be represented as ", "Text"],

Cell[TextData[{
 Cell[BoxData[
  FormBox[
   RowBox[{
    OverscriptBox["F", "\[RightVector]"], "=", 
    RowBox[{
     RowBox[{
      RowBox[{
       SubscriptBox["F", "x"], 
       OverscriptBox[
        RowBox[{"i", " "}], "\[RightVector]"]}], " ", "+", " ", 
      RowBox[{
       SubscriptBox["F", "y"], 
       OverscriptBox[
        RowBox[{"j", " "}], "\[RightVector]"]}], "+", " ", 
      RowBox[{
       SubscriptBox["F", "z"], 
       OverscriptBox[
        RowBox[{"k", " "}], "\[RightVector]"]}]}], "=", " ", 
     RowBox[{
      RowBox[{
       SqrtBox[
        RowBox[{
         SubsuperscriptBox["F", "x", "2"], "+", 
         SubsuperscriptBox["F", "y", "2"], "+", 
         SubsuperscriptBox["F", "z", "2"]}]], 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          FractionBox[
           SubscriptBox["F", "x"], 
           SqrtBox[
            RowBox[{
             SubsuperscriptBox["F", "x", "2"], " ", "+", " ", 
             SubsuperscriptBox["F", "y", "2"], "+", 
             SubsuperscriptBox["F", "z", "2"]}]]], 
          OverscriptBox["i", "\[RightVector]"]}], "+", 
         RowBox[{
          FractionBox[
           SubscriptBox["F", "y"], 
           SqrtBox[
            RowBox[{
             SubsuperscriptBox["F", "x", "2"], " ", "+", " ", 
             SubsuperscriptBox["F", "y", "2"], "+", 
             SubsuperscriptBox["F", "z", "2"]}]]], 
          OverscriptBox["j", "\[RightVector]"]}], "+", 
         RowBox[{
          FractionBox[
           SubscriptBox["F", "z"], 
           SqrtBox[
            RowBox[{
             SubsuperscriptBox["F", "x", "2"], " ", "+", " ", 
             SubsuperscriptBox["F", "y", "2"], "+", 
             SubsuperscriptBox["F", "z", "2"]}]]], 
          OverscriptBox["k", "\[RightVector]"]}]}], ")"}]}], " ", "=", " ", 
      RowBox[{"||", 
       OverscriptBox["F", "\[RightVector]"], "||", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          FractionBox[
           SubscriptBox["F", "x"], 
           RowBox[{"||", 
            OverscriptBox["F", "\[RightVector]"], "||"}]], 
          OverscriptBox["i", "\[RightVector]"]}], "+", 
         RowBox[{
          FractionBox[
           SubscriptBox["F", "y"], 
           RowBox[{"||", 
            OverscriptBox["F", "\[RightVector]"], "||"}]], 
          OverscriptBox["j", "\[RightVector]"]}], "+", 
         RowBox[{
          FractionBox[
           SubscriptBox["F", "z"], 
           RowBox[{"||", 
            OverscriptBox["F", "\[RightVector]"], "||"}]], 
          OverscriptBox["k", "\[RightVector]"]}]}], ")"}]}]}]}]}], 
   TraditionalForm]]],
 " "
}], "Text",
 TextAlignment->Center],

Cell[TextData[{
 "Note that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"cos\[Alpha]", "=", 
     FractionBox[
      SubscriptBox["F", "x"], 
      RowBox[{"||", 
       OverscriptBox["F", "\[RightVector]"], "||"}]]}], ",", 
    RowBox[{"cos\[Beta]", "=", 
     FractionBox[
      SubscriptBox["F", "y"], 
      RowBox[{"||", 
       OverscriptBox["F", "\[RightVector]"], "||"}]]}], ",", 
    RowBox[{"cos\[Gamma]", "=", 
     FractionBox[
      SubscriptBox["F", "z"], 
      RowBox[{"||", 
       OverscriptBox["F", "\[RightVector]"], "||"}]]}]}], TraditionalForm]],
  FontColor->GrayLevel[0]],
 ", where \[Alpha] is the angle between the vector and x-axis, \[Beta] is the \
angle between the vector and y-axis, \[Gamma] is the angle between the vector \
and z-axis, they satisfy the relations ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{
      SuperscriptBox["cos", "2"], "\[Alpha]"}], "+", 
     RowBox[{
      SuperscriptBox["cos", "2"], "\[Beta]"}], "+", 
     RowBox[{
      SuperscriptBox["cos", "2"], "\[Gamma]"}]}], "=", "1"}], 
   TraditionalForm]]],
 ".Then we have  "
}], "Text"],

Cell[TextData[Cell[BoxData[
 FormBox[
  RowBox[{
   OverscriptBox["F", "\[RightVector]"], " ", "=", " ", 
   RowBox[{
    RowBox[{"||", 
     OverscriptBox["F", "\[RightVector]"], "||", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"cos\[Alpha]", " ", 
        OverscriptBox["i", "\[RightVector]"]}], "+", 
       RowBox[{"cos\[Beta]", " ", 
        OverscriptBox["j", "\[RightVector]"]}], "+", 
       RowBox[{"cos\[Gamma]", " ", 
        OverscriptBox["j", "\[RightVector]"]}]}], ")"}]}], "=", " ", 
    RowBox[{"||", 
     OverscriptBox["F", "\[RightVector]"], "||", 
     OverscriptBox["u", "\[RightVector]"]}]}]}], TraditionalForm]]]], "Text",
 TextAlignment->Center],

Cell[TextData[{
 "Where ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    OverscriptBox["u", "\[RightVector]"], "=", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"cos\[Alpha]", " ", 
       OverscriptBox["i", "\[RightVector]"]}], "+", 
      RowBox[{"cos\[Beta]", " ", 
       OverscriptBox["j", "\[RightVector]"]}], "+", 
      RowBox[{"cos\[Gamma]", " ", 
       OverscriptBox["j", "\[RightVector]"]}]}], ")"}]}], TraditionalForm]]],
 " is the unit vector. \nBy changing the magnitude and angles, we can get \
different ",
 Cell[BoxData[
  FormBox[
   OverscriptBox["F", "\[RightVector]"], TraditionalForm]]],
 ". "
}], "Text"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`f$$ = 2, $CellContext`opa2$$ = 
    1, $CellContext`opa3$$ = 0.6, $CellContext`opa4$$ = 
    0, $CellContext`opa5$$ = 0, $CellContext`opa6$$ = 0, $CellContext`opa7$$ =
     0, $CellContext`opa8$$ = 0, $CellContext`opa9$$ = 
    0, $CellContext`size$$ = 2, $CellContext`\[Alpha]d$$ = 
    60, $CellContext`\[Beta]d$$ = 90, $CellContext`\[Gamma]d$$ = 0, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`size$$], 2, "Plot Range"}, {1, 2, 4, 8}}, {{
       Hold[$CellContext`f$$], 0, 
       Row[{
        "\!\(\*\nStyleBox[\"F\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\" \
\",\nFontSlant->\"Italic\"]\)(N)"}]}, 0, 7}, {{
       Hold[$CellContext`\[Alpha]d$$], 0, 
       Row[{
        "\[Alpha]\!\(\*\nStyleBox[\" \",\n\
FontSlant->\"Italic\"]\)(\[Degree])", 
         Spacer[2.5]}]}, 0, 180}, {{
       Hold[$CellContext`\[Beta]d$$], 90, 
       Row[{
        "\[Beta]\!\(\*\nStyleBox[\" \",\nFontSlant->\"Italic\"]\)(\[Degree])", 
         Spacer[2.5]}]}, 
      Dynamic[(1 + 10^(-7)) ((ArcCos[
           Sqrt[1 - Cos[($CellContext`\[Alpha]d$$/180) Pi]^2]]/Pi) 180)], 
      Dynamic[(1 - 10^(-7)) (180 - (ArcCos[
           Sqrt[1 - Cos[($CellContext`\[Alpha]d$$/180) Pi]^2]]/Pi) 180)]}, {{
       Hold[$CellContext`\[Gamma]d$$], 0, "Range of \[Gamma]"}, {
      0 -> "0\[Degree] ~ 90\[Degree]", 1 -> "90\[Degree] ~ 180\[Degree]"}}, {{
       Hold[$CellContext`opa2$$], 0, 
       Row[{
        "\!\(\*\nStyleBox[OverscriptBox[\"F\", \"\[RightVector]\"],\n\
FontSlant->\"Italic\"]\) Visibility", 
         Spacer[50]}]}, {1 -> "On", 0 -> "Off"}}, {{
       Hold[$CellContext`opa3$$], 0, 
       "Projection of \!\(\*\nStyleBox[OverscriptBox[\"F\", \
\"\[RightVector]\"],\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\" \",\n\
FontSlant->\"Italic\"]\)on x"}, {0.6 -> "On", 0 -> "Off"}}, {{
       Hold[$CellContext`opa4$$], 0, 
       "Projection of \!\(\*\nStyleBox[OverscriptBox[\"F\", \
\"\[RightVector]\"],\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\" \",\n\
FontSlant->\"Italic\"]\)on y"}, {0.6 -> "On", 0 -> "Off"}}, {{
       Hold[$CellContext`opa5$$], 0, 
       "Projection of \!\(\*\nStyleBox[OverscriptBox[\"F\", \
\"\[RightVector]\"],\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\" \",\n\
FontSlant->\"Italic\"]\)on z"}, {0.6 -> "On", 0 -> "Off"}}, {{
       Hold[$CellContext`opa6$$], 0, 
       Row[{
        "\!\(\*OverscriptBox[\n StyleBox[\"u\",\nFontSlant->\"Italic\"], \"\
\[RightVector]\"]\) Visibility", 
         Spacer[50]}]}, {1 -> "On", 0 -> "Off"}}, {{
       Hold[$CellContext`opa7$$], 0, 
       "Projection of \!\(\*OverscriptBox[\n StyleBox[\"u\",\n\
FontSlant->\"Italic\"], \"\[RightVector]\"]\)\!\(\*\nStyleBox[\" \",\n\
FontSlant->\"Italic\"]\)on x"}, {0.6 -> "On", 0 -> "Off"}}, {{
       Hold[$CellContext`opa8$$], 0, 
       "Projection of \!\(\*OverscriptBox[\n StyleBox[\"u\",\n\
FontSlant->\"Italic\"], \"\[RightVector]\"]\)\!\(\*\nStyleBox[\" \",\n\
FontSlant->\"Italic\"]\)on y"}, {0.6 -> "On", 0 -> "Off"}}, {{
       Hold[$CellContext`opa9$$], 0, 
       "Projection of \!\(\*OverscriptBox[\n StyleBox[\"u\",\n\
FontSlant->\"Italic\"], \"\[RightVector]\"]\)\!\(\*\nStyleBox[\" \",\n\
FontSlant->\"Italic\"]\)on z"}, {0.6 -> "On", 0 -> "Off"}}, {
      Hold[
       Grid[{{
          Manipulate`Place[1]}, {
          Manipulate`Place[2]}, {
          Manipulate`Place[3]}, {
          Row[{"Allowable \[Beta] range :  ", 
            Dynamic[
             N[(ArcCos[
                 Sqrt[1 - Cos[($CellContext`\[Alpha]d$$/180) Pi]^2]]/Pi) 
              180]], 
            Spacer[4], "\[Degree] ~ ", 
            Spacer[4], 
            Dynamic[
             N[180 - (ArcCos[
                 Sqrt[1 - Cos[($CellContext`\[Alpha]d$$/180) Pi]^2]]/Pi) 
              180]], "\[Degree]"}, Alignment -> Left]}, {
          Manipulate`Place[4]}, {
          Manipulate`Place[5]}, {
          Manipulate`Place[6]}, {
          Manipulate`Place[7]}, {
          Manipulate`Place[8]}, {
          Manipulate`Place[9]}, {
          Manipulate`Place[10]}, {
          Manipulate`Place[11]}, {
          Manipulate`Place[12]}, {
          Manipulate`Place[13]}}, Alignment -> Left, 
        Spacings -> {Automatic, 1.5}]], Manipulate`Dump`ThisIsNotAControl}}, 
    Typeset`size$$ = {540., {282., 291.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`size$40866$$ = 0, $CellContext`f$40867$$ = 
    0, $CellContext`\[Alpha]d$40868$$ = 0, $CellContext`\[Beta]d$40869$$ = 
    0, $CellContext`\[Gamma]d$40870$$ = False, $CellContext`opa2$40871$$ = 
    False, $CellContext`opa3$40872$$ = False, $CellContext`opa4$40873$$ = 
    False, $CellContext`opa5$40874$$ = False, $CellContext`opa6$40875$$ = 
    False, $CellContext`opa7$40876$$ = False, $CellContext`opa8$40877$$ = 
    False, $CellContext`opa9$40878$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     2, StandardForm, 
      "Variables" :> {$CellContext`f$$ = 0, $CellContext`opa2$$ = 
        0, $CellContext`opa3$$ = 0, $CellContext`opa4$$ = 
        0, $CellContext`opa5$$ = 0, $CellContext`opa6$$ = 
        0, $CellContext`opa7$$ = 0, $CellContext`opa8$$ = 
        0, $CellContext`opa9$$ = 0, $CellContext`size$$ = 
        2, $CellContext`\[Alpha]d$$ = 0, $CellContext`\[Beta]d$$ = 
        90, $CellContext`\[Gamma]d$$ = 0}, "ControllerVariables" :> {
        Hold[$CellContext`size$$, $CellContext`size$40866$$, 0], 
        Hold[$CellContext`f$$, $CellContext`f$40867$$, 0], 
        Hold[$CellContext`\[Alpha]d$$, $CellContext`\[Alpha]d$40868$$, 0], 
        Hold[$CellContext`\[Beta]d$$, $CellContext`\[Beta]d$40869$$, 0], 
        Hold[$CellContext`\[Gamma]d$$, $CellContext`\[Gamma]d$40870$$, False], 
        Hold[$CellContext`opa2$$, $CellContext`opa2$40871$$, False], 
        Hold[$CellContext`opa3$$, $CellContext`opa3$40872$$, False], 
        Hold[$CellContext`opa4$$, $CellContext`opa4$40873$$, False], 
        Hold[$CellContext`opa5$$, $CellContext`opa5$40874$$, False], 
        Hold[$CellContext`opa6$$, $CellContext`opa6$40875$$, False], 
        Hold[$CellContext`opa7$$, $CellContext`opa7$40876$$, False], 
        Hold[$CellContext`opa8$$, $CellContext`opa8$40877$$, False], 
        Hold[$CellContext`opa9$$, $CellContext`opa9$40878$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Module[{$CellContext`\[Alpha]$, $CellContext`\[Beta]$, $CellContext`\
\[Gamma]$, $CellContext`fx$, $CellContext`fy$, $CellContext`fz$, \
$CellContext`fxs$, $CellContext`fys$, $CellContext`fzs$, $CellContext`i$, \
$CellContext`ix$, $CellContext`iy$, $CellContext`iz$, $CellContext`dwf1$, \
$CellContext`dwf2$, $CellContext`dwf3$, $CellContext`dwf4$, \
$CellContext`dwf5$, $CellContext`dwf6$, $CellContext`dwf7$, \
$CellContext`dwf8$, $CellContext`dwf9$, $CellContext`dwf10$, \
$CellContext`dw1$, $CellContext`dw2$, $CellContext`o$, $CellContext`a$, \
$CellContext`b$, $CellContext`c$, $CellContext`l$, $CellContext`eps$, \
$CellContext`sc$, $CellContext`sc2$, $CellContext`xp$, $CellContext`yp$, \
$CellContext`zp$, $CellContext`xup$, $CellContext`yup$, $CellContext`zup$, \
$CellContext`arc$, $CellContext`opa$, $CellContext`label$}, $CellContext`opa$ = 
         0.6; $CellContext`sc$ = 0.45; $CellContext`sc2$ = 
         0.35; $CellContext`\[Alpha]$ = ($CellContext`\[Alpha]d$$/180) 
          Pi; $CellContext`\[Beta]$ = ($CellContext`\[Beta]d$$/180) 
          Pi; $CellContext`fx$ = $CellContext`f$$ 
          Cos[$CellContext`\[Alpha]$]; $CellContext`fy$ = $CellContext`f$$ 
          Cos[$CellContext`\[Beta]$]; $CellContext`\[Gamma]$ = 
         If[$CellContext`\[Gamma]d$$ == 0, 
           ArcCos[
            Sqrt[
            1 - Cos[$CellContext`\[Alpha]$]^2 - 
             Cos[$CellContext`\[Beta]$]^2]], Pi - ArcCos[
            Sqrt[
            1 - Cos[$CellContext`\[Alpha]$]^2 - 
             Cos[$CellContext`\[Beta]$]^2]]]; $CellContext`fz$ = \
$CellContext`f$$ Cos[$CellContext`\[Gamma]$]; $CellContext`i$ = 
         1; $CellContext`ix$ = $CellContext`i$ 
          Cos[$CellContext`\[Alpha]$]; $CellContext`iy$ = $CellContext`i$ 
          Cos[$CellContext`\[Beta]$]; $CellContext`iz$ = $CellContext`i$ 
          Cos[$CellContext`\[Gamma]$]; $CellContext`eps$ = 
         0; $CellContext`o$ = {0, 0, 
          0}; $CellContext`l$ = ($CellContext`sc$ $CellContext`size$$) \
{$CellContext`ix$, $CellContext`iy$, $CellContext`iz$}; $CellContext`a$ = \
($CellContext`sc$ $CellContext`size$$) {1, 0, 
           0}; $CellContext`b$ = ($CellContext`sc$ $CellContext`size$$) {0, 1,
            0}; $CellContext`c$ = ($CellContext`sc$ $CellContext`size$$) {0, 
           0, 1}; $CellContext`xp$ = {
          0.9 $CellContext`fx$, 0.1 $CellContext`fy$, 
           0.1 $CellContext`fz$}; $CellContext`yp$ = {
          0.1 $CellContext`fx$, 0.9 $CellContext`fy$, 
           0.1 $CellContext`fz$}; $CellContext`zp$ = {
          0.1 $CellContext`fx$, 0.1 $CellContext`fy$, 
           0.9 $CellContext`fz$}; $CellContext`xup$ = {
          0.9 $CellContext`ix$, 0.1 $CellContext`iy$, 
           0.1 $CellContext`iz$}; $CellContext`yup$ = {
          0.1 $CellContext`ix$, 0.9 $CellContext`iy$, 
           0.1 $CellContext`iz$}; $CellContext`zup$ = {
          0.1 $CellContext`ix$, 0.1 $CellContext`iy$, 
           0.9 $CellContext`iz$}; $CellContext`arc$[
           PatternTest[
            Pattern[$CellContext`center, 
             Blank[]], VectorQ], {
            PatternTest[
             Pattern[$CellContext`start, 
              Blank[]], VectorQ], 
            PatternTest[
             Pattern[$CellContext`end, 
              Blank[]], VectorQ]}] := 
         Module[{$CellContext`ang, $CellContext`co, $CellContext`r}, \
$CellContext`ang = 
            VectorAngle[$CellContext`start - $CellContext`center, \
$CellContext`end - $CellContext`center]; $CellContext`co = 
            Cos[$CellContext`ang/2]; $CellContext`r = 
            EuclideanDistance[$CellContext`center, $CellContext`start]; 
           BSplineCurve[{$CellContext`start, $CellContext`center + \
($CellContext`r/$CellContext`co) 
               Normalize[($CellContext`start + $CellContext`end)/
                  2 - $CellContext`center], $CellContext`end}, SplineDegree -> 
             2, SplineKnots -> {0, 0, 0, 1, 1, 1}, 
             SplineWeights -> {1, $CellContext`co, 1}]]; 
        If[$CellContext`opa3$$ == $CellContext`opa$, $CellContext`fxs$ = 
          Row[{"\!\(\*SubscriptBox[\n StyleBox[\"F\",\nFontSize->12,\n\
FontSlant->\"Italic\"], \"x\"]\)", 
             Spacer[5], "=", 
             Spacer[5], 
             NumberForm[
              N[$CellContext`fx$], {3, 2}]}], $CellContext`fxs$ = ""]; 
        If[$CellContext`opa4$$ == $CellContext`opa$, $CellContext`fys$ = 
          Row[{"\!\(\*SubscriptBox[\n StyleBox[\"F\",\nFontSize->12,\n\
FontSlant->\"Italic\"], \"y\"]\)", 
             Spacer[5], "=", 
             Spacer[5], 
             NumberForm[
              N[$CellContext`fy$], {3, 2}]}], $CellContext`fys$ = ""]; 
        If[$CellContext`opa5$$ == $CellContext`opa$, $CellContext`fzs$ = 
          Row[{"\!\(\*SubscriptBox[\n StyleBox[\"F\",\nFontSize->12,\n\
FontSlant->\"Italic\"], \"z\"]\)", 
             Spacer[5], "=", 
             Spacer[5], 
             NumberForm[
              N[$CellContext`fz$], {3, 2}]}], $CellContext`fzs$ = 
          ""]; $CellContext`label$ = Text[
           Style[
            
            Grid[{{$CellContext`fxs$, $CellContext`fys$, $CellContext`fzs$}}, 
             Alignment -> Left], 12]]; $CellContext`dwf1$ = {
           Opacity[1], 
           Dashing[{}], 
           Thickness[0.002], 
           Arrowheads[0.02], 
           Arrow[{{-$CellContext`size$$, 0, 0}, {$CellContext`size$$, 0, 0}}], 
           Arrow[{{0, -$CellContext`size$$, 0}, {0, $CellContext`size$$, 0}}], 
           Arrow[{{0, 0, -$CellContext`size$$}, {0, 0, $CellContext`size$$}}], 
           Text[
           "\!\(\*\nStyleBox[\"x\",\nFontWeight->\"Bold\",\n\
FontSlant->\"Italic\"]\)", {
            1.1 $CellContext`size$$, (-0.05) $CellContext`size$$, (-0.05) \
$CellContext`size$$}], 
           Text[
           "\!\(\*\nStyleBox[\"y\",\nFontWeight->\"Bold\",\n\
FontSlant->\"Italic\"]\)", {(-0.05) $CellContext`size$$, 
             1.1 $CellContext`size$$, 0.05 $CellContext`size$$}], 
           Text[
           "\!\(\*\nStyleBox[\"z\",\nFontWeight->\"Bold\",\n\
FontSlant->\"Italic\"]\)", {(-0.05) $CellContext`size$$, (-0.05) \
$CellContext`size$$, 1.1 $CellContext`size$$}]}; $CellContext`dwf2$ = {
           Opacity[$CellContext`opa2$$], Red, 
           Thickness[0.007], 
           Arrowheads[0.03], 
           
           Arrow[{{0, 0, 
             0}, {$CellContext`fx$, $CellContext`fy$, $CellContext`fz$}}], 
           Text[
            Style[
            "\!\(\*\nStyleBox[OverscriptBox[\"F\", \"\[RightVector]\"],\n\
FontSlant->\"Italic\"]\)", 12, Bold], {
            1.15 $CellContext`fx$, 1.15 $CellContext`fy$, 
             1.15 $CellContext`fz$}]}; $CellContext`dwf3$ = {
           Opacity[$CellContext`opa3$$], LightRed, 
           
           Triangle[{{0, 0, 
             0}, {$CellContext`fx$, 0, 
              0}, {$CellContext`fx$, $CellContext`fy$, $CellContext`fz$}}], 
           Black, 
           Thickness[0.005], 
           Arrowheads[0.02], 
           Arrow[{{0, 0, 0}, {$CellContext`fx$, 0, 0}}], Dashed, 
           
           Line[{{$CellContext`fx$, 0, 
              0}, {$CellContext`fx$, $CellContext`fy$, $CellContext`fz$}}], 
           Text[
            Style[
            "\!\(\*\nStyleBox[SubscriptBox[\n  StyleBox[\"F\",\n\
FontSize->12], \"x\"],\nFontSlant->\"Italic\"]\)", 10, Bold], {
            1.15 $CellContext`fx$, (-0.15) $CellContext`i$, (-0.15) \
$CellContext`i$}], 
           Dashing[{}], 
           Thickness[0.002], 
           Line[{$CellContext`xp$, 0.9 {$CellContext`fx$, 0, 0}}], 
           
           Line[{$CellContext`xp$, {$CellContext`fx$, 0.1 $CellContext`fy$, 
              0.1 $CellContext`fz$}}], 
           Thickness[0.005], Red, 
           $CellContext`arc$[{0, 0, 
            0}, $CellContext`sc2$ {$CellContext`a$, $CellContext`l$}], 
           Text[
            Style[
            "\[Alpha]", 10, 
             Bold], ((($CellContext`sc2$ 
               1.3) $CellContext`sc$) $CellContext`size$$) 
            Normalize[$CellContext`a$ + $CellContext`l$]]}; \
$CellContext`dwf4$ = {
           Opacity[$CellContext`opa4$$], LightBlue, 
           
           Triangle[{{0, 0, 0}, {
             0, $CellContext`fy$, 
              0}, {$CellContext`fx$, $CellContext`fy$, $CellContext`fz$}}], 
           Black, 
           Thickness[0.005], 
           Arrowheads[0.02], 
           Arrow[{{0, 0, 0}, {0, $CellContext`fy$, 0}}], Dashed, 
           
           Line[{{0, $CellContext`fy$, 
              0}, {$CellContext`fx$, $CellContext`fy$, $CellContext`fz$}}], 
           Text[
            Style[
            "\!\(\*\nStyleBox[SubscriptBox[\n  StyleBox[\"F\",\n\
FontSize->12], \"y\"],\nFontSlant->\"Italic\"]\)", 10, 
             Bold], {(-0.15) $CellContext`i$, 1.15 $CellContext`fy$, 
             0.15 $CellContext`i$}], 
           Dashing[{}], 
           Thickness[0.002], 
           Line[{$CellContext`yp$, 0.9 {0, $CellContext`fy$, 0}}], 
           
           Line[{$CellContext`yp$, {
             0.1 $CellContext`fx$, $CellContext`fy$, 0.1 $CellContext`fz$}}], 
           Thickness[0.005], Blue, 
           $CellContext`arc$[{0, 0, 
            0}, $CellContext`sc2$ {$CellContext`b$, $CellContext`l$}], 
           Text[
            Style[
            "\[Beta]", 10, 
             Bold], ((($CellContext`sc2$ 
               1.3) $CellContext`sc$) $CellContext`size$$) 
            Normalize[$CellContext`b$ + $CellContext`l$]]}; \
$CellContext`dwf5$ = {
           Opacity[$CellContext`opa5$$], LightPurple, 
           
           Triangle[{{0, 0, 0}, {
             0, 0, $CellContext`fz$}, {$CellContext`fx$, $CellContext`fy$, \
$CellContext`fz$}}], Black, 
           Thickness[0.005], 
           Arrowheads[0.02], 
           Arrow[{{0, 0, 0}, {0, 0, $CellContext`fz$}}], Dashed, 
           Line[{{
             0, 0, $CellContext`fz$}, {$CellContext`fx$, $CellContext`fy$, \
$CellContext`fz$}}], 
           Text[
            Style[
            "\!\(\*\nStyleBox[SubscriptBox[\n  StyleBox[\"F\",\n\
FontSize->12], \"z\"],\nFontSlant->\"Italic\"]\)", 10, 
             Bold], {(-0.15) $CellContext`i$, (-0.15) $CellContext`i$, 
             1.15 $CellContext`fz$}], 
           Dashing[{}], 
           Thickness[0.002], 
           Line[{$CellContext`zp$, 0.9 {0, 0, $CellContext`fz$}}], 
           
           Line[{$CellContext`zp$, {
             0.1 $CellContext`fx$, 0.1 $CellContext`fy$, $CellContext`fz$}}], 
           Thickness[0.005], Purple, 
           $CellContext`arc$[{0, 0, 
            0}, $CellContext`sc2$ {$CellContext`c$, $CellContext`l$}], 
           Text[
            Style[
            "\[Gamma]", 10, 
             Bold], ((($CellContext`sc2$ 
               1.3) $CellContext`sc$) $CellContext`size$$) 
            Normalize[$CellContext`c$ + $CellContext`l$]]}; \
$CellContext`dwf6$ = {
           Opacity[$CellContext`opa6$$], Blue, 
           Thickness[0.005], 
           Arrowheads[0.02], 
           
           Arrow[{{0, 0, 
             0}, {$CellContext`ix$, $CellContext`iy$, $CellContext`iz$}}], 
           Text[
            Style[
            "\!\(\*\nStyleBox[OverscriptBox[\"u\", \"\[RightVector]\"],\n\
FontSlant->\"Italic\"]\)", 10, Bold], {
            1.2 $CellContext`ix$, 1.2 $CellContext`iy$, 
             1.2 $CellContext`iz$}]}; $CellContext`dwf7$ = {
           Opacity[$CellContext`opa7$$], LightRed, 
           
           Triangle[{{0, 0, 
             0}, {$CellContext`ix$, 0, 
              0}, {$CellContext`ix$, $CellContext`iy$, $CellContext`iz$}}], 
           Black, 
           Thickness[0.005], 
           Arrowheads[0.02], 
           Arrow[{{0, 0, 0}, {$CellContext`ix$, 0, 0}}], Dashed, 
           
           Line[{{$CellContext`ix$, 0, 
              0}, {$CellContext`ix$, $CellContext`iy$, $CellContext`iz$}}], 
           Text[
            Style[
             Subscript[$CellContext`u, $CellContext`x], 10, Bold], {
            1.2 $CellContext`ix$, (-0.15) $CellContext`i$, (-0.15) \
$CellContext`i$}], 
           Dashing[{}], 
           Thickness[0.002], 
           Line[{$CellContext`xup$, 0.9 {$CellContext`ix$, 0, 0}}], 
           
           Line[{$CellContext`xup$, {$CellContext`ix$, 0.1 $CellContext`iy$, 
              0.1 $CellContext`iz$}}], 
           Thickness[0.005], Red, 
           $CellContext`arc$[{0, 0, 
            0}, $CellContext`sc2$ {$CellContext`a$, $CellContext`l$}], 
           Text[
            Style[
            "\[Alpha]", 10, 
             Bold], ((($CellContext`sc2$ 
               1.3) $CellContext`sc$) $CellContext`size$$) 
            Normalize[$CellContext`a$ + $CellContext`l$]]}; \
$CellContext`dwf8$ = {
           Opacity[$CellContext`opa8$$], LightBlue, 
           
           Triangle[{{0, 0, 0}, {
             0, $CellContext`iy$, 
              0}, {$CellContext`ix$, $CellContext`iy$, $CellContext`iz$}}], 
           Black, 
           Thickness[0.005], 
           Arrowheads[0.02], 
           Arrow[{{0, 0, 0}, {0, $CellContext`iy$, 0}}], Dashed, 
           
           Line[{{0, $CellContext`iy$, 
              0}, {$CellContext`ix$, $CellContext`iy$, $CellContext`iz$}}], 
           Text[
            Style[
             Subscript[$CellContext`u, $CellContext`y], 10, 
             Bold], {(-0.15) $CellContext`i$, 1.2 $CellContext`iy$, 
             0.15 $CellContext`i$}], 
           Dashing[{}], 
           Thickness[0.002], 
           Line[{$CellContext`yup$, 0.9 {0, $CellContext`iy$, 0}}], 
           
           Line[{$CellContext`yup$, {
             0.1 $CellContext`ix$, $CellContext`iy$, 0.1 $CellContext`iz$}}], 
           Thickness[0.005], Blue, 
           $CellContext`arc$[{0, 0, 
            0}, $CellContext`sc2$ {$CellContext`b$, $CellContext`l$}], 
           Text[
            Style[
            "\[Beta]", 10, 
             Bold], ((($CellContext`sc2$ 
               1.3) $CellContext`sc$) $CellContext`size$$) 
            Normalize[$CellContext`b$ + $CellContext`l$]]}; \
$CellContext`dwf9$ = {
           Opacity[$CellContext`opa9$$], LightPurple, 
           
           Triangle[{{0, 0, 0}, {
             0, 0, $CellContext`iz$}, {$CellContext`ix$, $CellContext`iy$, \
$CellContext`iz$}}], Black, 
           Thickness[0.005], 
           Arrowheads[0.02], 
           Arrow[{{0, 0, 0}, {0, 0, $CellContext`iz$}}], Dashed, 
           
           Line[{{0, 
              0, $CellContext`iz$}, {$CellContext`ix$, $CellContext`iy$, \
$CellContext`iz$}}], 
           Text[
            Style[
             Subscript[$CellContext`u, $CellContext`z], 10, 
             Bold], {(-0.15) $CellContext`i$, (-0.15) $CellContext`i$, 
             1.2 $CellContext`iz$}], 
           Dashing[{}], 
           Thickness[0.002], 
           Line[{$CellContext`zup$, 0.9 {0, 0, $CellContext`iz$}}], 
           
           Line[{$CellContext`zup$, {
             0.1 $CellContext`ix$, 0.1 $CellContext`iy$, $CellContext`iz$}}], 
           Thickness[0.005], Purple, 
           $CellContext`arc$[{0, 0, 
            0}, $CellContext`sc2$ {$CellContext`c$, $CellContext`l$}], 
           Text[
            Style[
            "\[Gamma]", 10, 
             Bold], ((($CellContext`sc2$ 
               1.3) $CellContext`sc$) $CellContext`size$$) 
            Normalize[$CellContext`c$ + $CellContext`l$]]}; \
$CellContext`dwf10$ = {
           Opacity[
            Boole[
             And[
              Or[$CellContext`opa2$$ == 1, $CellContext`opa6$$ == 1], 
              Not[
               
               Or[$CellContext`opa3$$ == $CellContext`opa$, \
$CellContext`opa4$$ == $CellContext`opa$, $CellContext`opa5$$ == \
$CellContext`opa$, $CellContext`opa7$$ == $CellContext`opa$, \
$CellContext`opa8$$ == $CellContext`opa$, $CellContext`opa9$$ == \
$CellContext`opa$]]]]], 
           Thickness[0.005], Red, 
           $CellContext`arc$[{0, 0, 
            0}, $CellContext`sc2$ {$CellContext`a$, $CellContext`l$}], 
           Text[
            Style[
            "\[Alpha]", 10, 
             Bold], ((($CellContext`sc2$ 
               1.3) $CellContext`sc$) $CellContext`size$$) 
            Normalize[$CellContext`a$ + $CellContext`l$]], Blue, 
           $CellContext`arc$[{0, 0, 
            0}, $CellContext`sc2$ {$CellContext`b$, $CellContext`l$}], 
           Text[
            Style[
            "\[Beta]", 10, 
             Bold], ((($CellContext`sc2$ 
               1.3) $CellContext`sc$) $CellContext`size$$) 
            Normalize[$CellContext`b$ + $CellContext`l$]], Purple, 
           $CellContext`arc$[{0, 0, 
            0}, $CellContext`sc2$ {$CellContext`c$, $CellContext`l$}], 
           Text[
            Style[
            "\[Gamma]", 10, 
             Bold], ((($CellContext`sc2$ 
               1.3) $CellContext`sc$) $CellContext`size$$) 
            Normalize[$CellContext`c$ + $CellContext`l$]]}; $CellContext`dw1$ = 
         Graphics3D[{$CellContext`dwf1$, $CellContext`dwf2$, \
$CellContext`dwf6$, $CellContext`dwf10$}, PlotLabel -> 
           Pane[$CellContext`label$, Alignment -> Left, ImageSize -> 300], 
           PlotRange -> $CellContext`size$$, Boxed -> False, 
           ViewPoint -> {
            0.5 $CellContext`size$$, -$CellContext`size$$, 
             0.5 $CellContext`size$$}]; $CellContext`dw2$ = Graphics3D[{
            
            EdgeForm[], $CellContext`dwf3$, $CellContext`dwf4$, \
$CellContext`dwf5$, $CellContext`dwf7$, $CellContext`dwf8$, \
$CellContext`dwf9$}]; Show[$CellContext`dw1$, $CellContext`dw2$]], 
      "Specifications" :> {{{$CellContext`size$$, 2, "Plot Range"}, {1, 2, 4, 
         8}, ImageSize -> Tiny, ControlType -> Setter, ControlPlacement -> 
         1}, {{$CellContext`f$$, 0, 
          
          Row[{"\!\(\*\nStyleBox[\"F\",\nFontSlant->\"Italic\"]\)\!\(\*\n\
StyleBox[\" \",\nFontSlant->\"Italic\"]\)(N)"}]}, 0, 7, ImageSize -> Small, 
         Appearance -> "Labeled", ControlPlacement -> 
         2}, {{$CellContext`\[Alpha]d$$, 0, 
          
          Row[{"\[Alpha]\!\(\*\nStyleBox[\" \",\nFontSlant->\"Italic\"]\)(\
\[Degree])", 
            Spacer[2.5]}]}, 0, 180, ImageSize -> Small, Appearance -> 
         "Labeled", ControlPlacement -> 3}, {{$CellContext`\[Beta]d$$, 90, 
          
          Row[{"\[Beta]\!\(\*\nStyleBox[\" \",\nFontSlant->\"Italic\"]\)(\
\[Degree])", 
            Spacer[2.5]}]}, 
         Dynamic[(1 + 10^(-7)) ((ArcCos[
              Sqrt[1 - Cos[($CellContext`\[Alpha]d$$/180) Pi]^2]]/Pi) 180)], 
         Dynamic[(1 - 10^(-7)) (180 - (ArcCos[
              Sqrt[1 - Cos[($CellContext`\[Alpha]d$$/180) Pi]^2]]/Pi) 180)], 
         ImageSize -> Small, Appearance -> "Labeled", ControlPlacement -> 
         4}, {{$CellContext`\[Gamma]d$$, 0, "Range of \[Gamma]"}, {
         0 -> "0\[Degree] ~ 90\[Degree]", 1 -> "90\[Degree] ~ 180\[Degree]"}, 
         ControlType -> RadioButton, ControlPlacement -> 
         5}, {{$CellContext`opa2$$, 0, 
          
          Row[{"\!\(\*\nStyleBox[OverscriptBox[\"F\", \"\[RightVector]\"],\n\
FontSlant->\"Italic\"]\) Visibility", 
            Spacer[50]}]}, {1 -> "On", 0 -> "Off"}, ControlType -> 
         RadioButton, ControlPlacement -> 
         6}, {{$CellContext`opa3$$, 0, 
          "Projection of \!\(\*\nStyleBox[OverscriptBox[\"F\", \"\
\[RightVector]\"],\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\" \",\n\
FontSlant->\"Italic\"]\)on x"}, {0.6 -> "On", 0 -> "Off"}, ControlType -> 
         RadioButton, ControlPlacement -> 
         7}, {{$CellContext`opa4$$, 0, 
          "Projection of \!\(\*\nStyleBox[OverscriptBox[\"F\", \"\
\[RightVector]\"],\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\" \",\n\
FontSlant->\"Italic\"]\)on y"}, {0.6 -> "On", 0 -> "Off"}, ControlType -> 
         RadioButton, ControlPlacement -> 
         8}, {{$CellContext`opa5$$, 0, 
          "Projection of \!\(\*\nStyleBox[OverscriptBox[\"F\", \"\
\[RightVector]\"],\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\" \",\n\
FontSlant->\"Italic\"]\)on z"}, {0.6 -> "On", 0 -> "Off"}, ControlType -> 
         RadioButton, ControlPlacement -> 9}, {{$CellContext`opa6$$, 0, 
          
          Row[{"\!\(\*OverscriptBox[\n StyleBox[\"u\",\n\
FontSlant->\"Italic\"], \"\[RightVector]\"]\) Visibility", 
            Spacer[50]}]}, {1 -> "On", 0 -> "Off"}, ControlType -> 
         RadioButton, ControlPlacement -> 
         10}, {{$CellContext`opa7$$, 0, 
          "Projection of \!\(\*OverscriptBox[\n StyleBox[\"u\",\n\
FontSlant->\"Italic\"], \"\[RightVector]\"]\)\!\(\*\nStyleBox[\" \",\n\
FontSlant->\"Italic\"]\)on x"}, {0.6 -> "On", 0 -> "Off"}, ControlType -> 
         RadioButton, ControlPlacement -> 
         11}, {{$CellContext`opa8$$, 0, 
          "Projection of \!\(\*OverscriptBox[\n StyleBox[\"u\",\n\
FontSlant->\"Italic\"], \"\[RightVector]\"]\)\!\(\*\nStyleBox[\" \",\n\
FontSlant->\"Italic\"]\)on y"}, {0.6 -> "On", 0 -> "Off"}, ControlType -> 
         RadioButton, ControlPlacement -> 
         12}, {{$CellContext`opa9$$, 0, 
          "Projection of \!\(\*OverscriptBox[\n StyleBox[\"u\",\n\
FontSlant->\"Italic\"], \"\[RightVector]\"]\)\!\(\*\nStyleBox[\" \",\n\
FontSlant->\"Italic\"]\)on z"}, {0.6 -> "On", 0 -> "Off"}, ControlType -> 
         RadioButton, ControlPlacement -> 13}, 
        Grid[{{
           Manipulate`Place[1]}, {
           Manipulate`Place[2]}, {
           Manipulate`Place[3]}, {
           Row[{"Allowable \[Beta] range :  ", 
             Dynamic[
              N[(ArcCos[
                  Sqrt[1 - Cos[($CellContext`\[Alpha]d$$/180) Pi]^2]]/Pi) 
               180]], 
             Spacer[4], "\[Degree] ~ ", 
             Spacer[4], 
             Dynamic[
              N[180 - (ArcCos[
                  Sqrt[1 - Cos[($CellContext`\[Alpha]d$$/180) Pi]^2]]/Pi) 
               180]], "\[Degree]"}, Alignment -> Left]}, {
           Manipulate`Place[4]}, {
           Manipulate`Place[5]}, {
           Manipulate`Place[6]}, {
           Manipulate`Place[7]}, {
           Manipulate`Place[8]}, {
           Manipulate`Place[9]}, {
           Manipulate`Place[10]}, {
           Manipulate`Place[11]}, {
           Manipulate`Place[12]}, {
           Manipulate`Place[13]}}, Alignment -> Left, 
         Spacings -> {Automatic, 1.5}]}, 
      "Options" :> {ControlPlacement -> Left}, "DefaultOptions" :> {}],
     ImageSizeCache->{915., {378., 387.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 TextAlignment->Center],

Cell[TextData[{
 "Alternatively, we can use the components to control ",
 Cell[BoxData[
  FormBox[
   OverscriptBox["F", "\[RightVector]"], TraditionalForm]]],
 ". Since we have "
}], "Text"],

Cell[TextData[Cell[BoxData[
 FormBox[
  RowBox[{
   OverscriptBox["F", "\[RightVector]"], "=", 
   RowBox[{
    RowBox[{
     SubscriptBox["F", "x"], 
     OverscriptBox[
      RowBox[{"i", " "}], "\[RightVector]"]}], " ", "+", " ", 
    RowBox[{
     SubscriptBox["F", "y"], 
     OverscriptBox[
      RowBox[{"j", " "}], "\[RightVector]"]}], "+", " ", 
    RowBox[{
     SubscriptBox["F", "z"], 
     OverscriptBox[
      RowBox[{"k", " "}], "\[RightVector]"]}]}]}], TraditionalForm]]]], "Text",
 TextAlignment->Center],

Cell[TextData[{
 "By changing the components ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["F", "x"], ",", 
    SubscriptBox["F", "y"], ",", 
    SubscriptBox["F", "z"]}], TraditionalForm]]],
 " directly, we can get different ",
 Cell[BoxData[
  FormBox[
   OverscriptBox["F", "\[RightVector]"], TraditionalForm]]],
 ". "
}], "Text"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`fx$$ = 0, $CellContext`fy$$ = 
    0, $CellContext`fz$$ = 0, $CellContext`opa2$$ = 0, $CellContext`opa3$$ = 
    0, $CellContext`opa4$$ = 0, $CellContext`opa5$$ = 0, $CellContext`opa6$$ =
     0, $CellContext`opa7$$ = 0, $CellContext`size$$ = 2, Typeset`show$$ = 
    True, Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`size$$], 2, "Plot Range"}, {1, 2, 4, 8}}, {{
       Hold[$CellContext`fx$$], 0, 
       "\!\(\*SubscriptBox[\n StyleBox[\"F\",\nFontSlant->\"Italic\"], \"x\"]\
\)"}, -5, 5}, {{
       Hold[$CellContext`fy$$], 0, 
       "\!\(\*SubscriptBox[\n StyleBox[\"F\",\nFontSlant->\"Italic\"], \"y\"]\
\)"}, -5, 5}, {{
       Hold[$CellContext`fz$$], 0, 
       "\!\(\*SubscriptBox[\n StyleBox[\"F\",\nFontSlant->\"Italic\"], \"z\"]\
\)"}, -5, 5}, {{
       Hold[$CellContext`opa2$$], 0, 
       Row[{
        "Components of \!\(\*\nStyleBox[OverscriptBox[\"F\", \"\[RightVector]\
\"],\nFontSlant->\"Italic\"]\)", 
         Spacer[13]}]}, {1 -> "On", 0 -> "Off"}}, {{
       Hold[$CellContext`opa3$$], 0, 
       Row[{
        "\!\(\*\nStyleBox[OverscriptBox[\"F\", \"\[RightVector]\"],\n\
FontSlant->\"Italic\"]\) Visibility", 
         Spacer[51]}]}, {1 -> "On", 0 -> "Off"}}, {{
       Hold[$CellContext`opa4$$], 0, 
       Row[{"Sum of components", 
         Spacer[0]}]}, {1 -> "On", 0 -> "Off"}}, {{
       Hold[$CellContext`opa5$$], 0, 
       Row[{"Show \[Alpha]", 
         Spacer[65]}]}, {0.6 -> "On", 0 -> "Off"}}, {{
       Hold[$CellContext`opa6$$], 0, 
       Row[{"Show \[Beta]", 
         Spacer[65]}]}, {0.6 -> "On", 0 -> "Off"}}, {{
       Hold[$CellContext`opa7$$], 0, 
       Row[{"Show \[Gamma]", 
         Spacer[65]}]}, {0.6 -> "On", 0 -> "Off"}}, {
      Hold[
       Grid[{{
          Manipulate`Place[1]}, {
          Manipulate`Place[2]}, {
          Manipulate`Place[3]}, {
          Manipulate`Place[4]}, {
          Manipulate`Place[5]}, {
          Manipulate`Place[6]}, {
          Manipulate`Place[7]}, {
          Manipulate`Place[8]}, {
          Manipulate`Place[9]}, {
          Manipulate`Place[10]}, {
          Row[{
            Dynamic[
             If[
              
              And[$CellContext`opa5$$ == 
               0.6, {$CellContext`fx$$, $CellContext`fy$$, $CellContext`fz$$} != \
{0, 0, 0}], $CellContext`temp1 = Row[{"\[Alpha] = ", 
                 Dynamic[
                  NumberForm[
                  ArcCos[$CellContext`fx$$/
                    Sqrt[$CellContext`fx$$^2 + $CellContext`fy$$^2 + \
$CellContext`fz$$^2]] (180/Pi), {3, 2}]], "\[Degree]"}], 
              Invisible[$CellContext`temp1]]], 
            Spacer[10], 
            Dynamic[
             If[
              
              And[$CellContext`opa6$$ == 
               0.6, {$CellContext`fx$$, $CellContext`fy$$, $CellContext`fz$$} != \
{0, 0, 0}], $CellContext`temp2 = Row[{"\[Beta] = ", 
                 Dynamic[
                  NumberForm[
                  ArcCos[$CellContext`fy$$/
                    Sqrt[$CellContext`fx$$^2 + $CellContext`fy$$^2 + \
$CellContext`fz$$^2]] (180/Pi), {3, 2}]], "\[Degree]"}], 
              Invisible[$CellContext`temp2]]], 
            Spacer[10], 
            Dynamic[
             If[
              
              And[$CellContext`opa7$$ == 
               0.6, {$CellContext`fx$$, $CellContext`fy$$, $CellContext`fz$$} != \
{0, 0, 0}], $CellContext`temp3 = Row[{"\[Gamma] = ", 
                 Dynamic[
                  NumberForm[
                  ArcCos[$CellContext`fz$$/
                    Sqrt[$CellContext`fx$$^2 + $CellContext`fy$$^2 + \
$CellContext`fz$$^2]] (180/Pi), {3, 2}]], "\[Degree]"}], 
              Invisible[$CellContext`temp3]]]}]}}, Alignment -> Left, 
        Spacings -> {Automatic, 1.5}]], Manipulate`Dump`ThisIsNotAControl}}, 
    Typeset`size$$ = {540., {271., 279.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`size$300$$ = 0, $CellContext`fx$305$$ = 
    0, $CellContext`fy$306$$ = 0, $CellContext`fz$307$$ = 
    0, $CellContext`opa2$308$$ = False, $CellContext`opa3$309$$ = 
    False, $CellContext`opa4$310$$ = False, $CellContext`opa5$311$$ = 
    False, $CellContext`opa6$312$$ = False, $CellContext`opa7$313$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     2, StandardForm, 
      "Variables" :> {$CellContext`fx$$ = 0, $CellContext`fy$$ = 
        0, $CellContext`fz$$ = 0, $CellContext`opa2$$ = 
        0, $CellContext`opa3$$ = 0, $CellContext`opa4$$ = 
        0, $CellContext`opa5$$ = 0, $CellContext`opa6$$ = 
        0, $CellContext`opa7$$ = 0, $CellContext`size$$ = 2}, 
      "ControllerVariables" :> {
        Hold[$CellContext`size$$, $CellContext`size$300$$, 0], 
        Hold[$CellContext`fx$$, $CellContext`fx$305$$, 0], 
        Hold[$CellContext`fy$$, $CellContext`fy$306$$, 0], 
        Hold[$CellContext`fz$$, $CellContext`fz$307$$, 0], 
        Hold[$CellContext`opa2$$, $CellContext`opa2$308$$, False], 
        Hold[$CellContext`opa3$$, $CellContext`opa3$309$$, False], 
        Hold[$CellContext`opa4$$, $CellContext`opa4$310$$, False], 
        Hold[$CellContext`opa5$$, $CellContext`opa5$311$$, False], 
        Hold[$CellContext`opa6$$, $CellContext`opa6$312$$, False], 
        Hold[$CellContext`opa7$$, $CellContext`opa7$313$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Module[{$CellContext`i$, $CellContext`ix$, $CellContext`iy$, \
$CellContext`iz$, $CellContext`dwf1$, $CellContext`dwf2$, $CellContext`dwf3$, \
$CellContext`dwf4$, $CellContext`dwf5$, $CellContext`dwf6$, \
$CellContext`dwf7$, $CellContext`dwf34$, $CellContext`dw1$, \
$CellContext`dw2$, $CellContext`eps$, $CellContext`sc$, $CellContext`sc2$, \
$CellContext`l$, $CellContext`a$, $CellContext`b$, $CellContext`c$, \
$CellContext`xp$, $CellContext`yp$, $CellContext`zp$, $CellContext`xup$, \
$CellContext`yup$, $CellContext`zup$, $CellContext`arc$, $CellContext`opa$, \
$CellContext`\[Alpha]$, $CellContext`\[Beta]$, $CellContext`\[Gamma]$, \
$CellContext`f$}, $CellContext`f$ = 
         Sqrt[$CellContext`fx$$^2 + $CellContext`fy$$^2 + \
$CellContext`fz$$^2]; $CellContext`eps$ = 10^(-6); $CellContext`sc$ = 
         0.45; $CellContext`sc2$ = 0.35; $CellContext`opa$ = 
         0.6; $CellContext`i$ = 1; $CellContext`ix$ = 
         If[$CellContext`f$ != 
           0, $CellContext`i$ ($CellContext`fx$$/$CellContext`f$), \
$CellContext`eps$]; $CellContext`iy$ = 
         If[$CellContext`f$ != 
           0, $CellContext`i$ ($CellContext`fy$$/$CellContext`f$), \
$CellContext`eps$]; $CellContext`iz$ = 
         If[$CellContext`f$ != 
           0, $CellContext`i$ ($CellContext`fz$$/$CellContext`f$), \
$CellContext`eps$]; $CellContext`\[Alpha]$ = 
         If[$CellContext`f$ != 0, 
           ArcCos[$CellContext`fx$$/$CellContext`f$] (180/Pi), 
           0]; $CellContext`\[Beta]$ = 
         If[$CellContext`f$ != 0, 
           ArcCos[$CellContext`fy$$/$CellContext`f$] (180/Pi), 
           0]; $CellContext`\[Gamma]$ = 
         If[$CellContext`f$ != 0, 
           ArcCos[$CellContext`fz$$/$CellContext`f$] (180/Pi), 
           0]; $CellContext`l$ = $CellContext`sc$ $CellContext`size$$ \
{$CellContext`ix$, $CellContext`iy$, $CellContext`iz$}; $CellContext`a$ = \
$CellContext`sc$ $CellContext`size$$ {1, 0, 
           0}; $CellContext`b$ = $CellContext`sc$ $CellContext`size$$ {0, 1, 
           0}; $CellContext`c$ = $CellContext`sc$ $CellContext`size$$ {0, 0, 
           1}; $CellContext`xp$ = {
          0.9 $CellContext`fx$$, 0.1 $CellContext`fy$$, 
           0.1 $CellContext`fz$$}; $CellContext`yp$ = {
          0.1 $CellContext`fx$$, 0.9 $CellContext`fy$$, 
           0.1 $CellContext`fz$$}; $CellContext`zp$ = {
          0.1 $CellContext`fx$$, 0.1 $CellContext`fy$$, 
           0.9 $CellContext`fz$$}; $CellContext`xup$ = {
          0.9 $CellContext`ix$, 0.1 $CellContext`iy$, 
           0.1 $CellContext`iz$}; $CellContext`yup$ = {
          0.1 $CellContext`ix$, 0.9 $CellContext`iy$, 
           0.1 $CellContext`iz$}; $CellContext`zup$ = {
          0.1 $CellContext`ix$, 0.1 $CellContext`iy$, 
           0.9 $CellContext`iz$}; $CellContext`arc$[
           PatternTest[
            Pattern[$CellContext`center, 
             Blank[]], VectorQ], {
            PatternTest[
             Pattern[$CellContext`start, 
              Blank[]], VectorQ], 
            PatternTest[
             Pattern[$CellContext`end, 
              Blank[]], VectorQ]}] := 
         Module[{$CellContext`ang, $CellContext`co, $CellContext`r}, \
$CellContext`ang = 
            VectorAngle[$CellContext`start - $CellContext`center, \
$CellContext`end - $CellContext`center]; $CellContext`co = 
            Cos[$CellContext`ang/2]; $CellContext`r = 
            EuclideanDistance[$CellContext`center, $CellContext`start]; 
           BSplineCurve[{$CellContext`start, $CellContext`center + \
($CellContext`r/$CellContext`co) 
               Normalize[($CellContext`start + $CellContext`end)/
                  2 - $CellContext`center], $CellContext`end}, SplineDegree -> 
             2, SplineKnots -> {0, 0, 0, 1, 1, 1}, 
             SplineWeights -> {1, $CellContext`co, 1}]]; $CellContext`dwf1$ = {
           Opacity[1], 
           Thickness[0.002], 
           Arrowheads[0.02], 
           Arrow[{{-$CellContext`size$$, 0, 0}, {$CellContext`size$$, 0, 0}}], 
           Arrow[{{0, -$CellContext`size$$, 0}, {0, $CellContext`size$$, 0}}], 
           Arrow[{{0, 0, -$CellContext`size$$}, {0, 0, $CellContext`size$$}}], 
           Text[
           "\!\(\*\nStyleBox[\"x\",\nFontWeight->\"Bold\",\n\
FontSlant->\"Italic\"]\)", {
            1.1 $CellContext`size$$, (-0.05) $CellContext`size$$, (-0.05) \
$CellContext`size$$}], 
           Text[
           "\!\(\*\nStyleBox[\"y\",\nFontWeight->\"Bold\",\n\
FontSlant->\"Italic\"]\)", {(-0.05) $CellContext`size$$, 
             1.1 $CellContext`size$$, 0.05 $CellContext`size$$}], 
           Text[
           "\!\(\*\nStyleBox[\"z\",\nFontWeight->\"Bold\",\n\
FontSlant->\"Italic\"]\)", {(-0.05) $CellContext`size$$, (-0.05) \
$CellContext`size$$, 1.1 $CellContext`size$$}]}; $CellContext`dwf2$ = {
           Opacity[
            Boole[
             And[$CellContext`opa2$$ == 1, $CellContext`opa4$$ != 1]]], 
           Thickness[0.005], 
           Arrowheads[0.03], 
           Arrow[{{0, 0, 0}, {0, $CellContext`fy$$, 0}}], 
           Arrow[{{0, 0, 0}, {0, 0, $CellContext`fz$$}}], 
           Text[
            Style[
            "\!\(\*\nStyleBox[SubscriptBox[\n  StyleBox[\"F\",\n\
FontSize->12], \"y\"],\nFontSlant->\"Italic\"]\)", 10, 
             Bold], {(-0.15) $CellContext`i$, 
             1.15 $CellContext`fy$$, (-0.15) $CellContext`i$}], 
           Text[
            Style[
            "\!\(\*\nStyleBox[SubscriptBox[\n  StyleBox[\"F\",\n\
FontSize->12], \"z\"],\nFontSlant->\"Italic\"]\)", 10, 
             Bold], {(-0.15) $CellContext`i$, (-0.15) $CellContext`i$, 
             1.15 $CellContext`fz$$}]}; $CellContext`dwf3$ = {
           Opacity[$CellContext`opa3$$], Red, 
           Thickness[0.007], 
           Arrowheads[0.03], 
           
           Arrow[{{0, 0, 
             0}, {$CellContext`fx$$, $CellContext`fy$$, $CellContext`fz$$}}], 
           Text[
            Style[
            "\!\(\*\nStyleBox[OverscriptBox[\"F\", \"\[RightVector]\"],\n\
FontSlant->\"Italic\"]\)", 12, Bold], {
            1.15 $CellContext`fx$$, 1.15 $CellContext`fy$$, 
             1.15 $CellContext`fz$$}]}; $CellContext`dwf4$ = {
           Opacity[$CellContext`opa4$$], 
           Thickness[0.005], 
           Arrowheads[0.03], 
           
           Arrow[{{$CellContext`fx$$, 0, 
              0}, {$CellContext`fx$$, $CellContext`fy$$, 0}}], 
           
           Arrow[{{$CellContext`fx$$, $CellContext`fy$$, 
              0}, {$CellContext`fx$$, $CellContext`fy$$, $CellContext`fz$$}}], 
           Text[
            Style[
            "\!\(\*\nStyleBox[SubscriptBox[\n  StyleBox[\"F\",\n\
FontSize->12], \"y\"],\nFontSlant->\"Italic\"]\)", 10, Bold], {
            1.15 $CellContext`fx$$, 
             1.15 $CellContext`fy$$, (-0.15) $CellContext`i$}], 
           Text[
            Style[
            "\!\(\*\nStyleBox[SubscriptBox[\n  StyleBox[\"F\",\n\
FontSize->12], \"z\"],\nFontSlant->\"Italic\"]\)", 10, Bold], {
            1.15 $CellContext`fx$$, 1.15 $CellContext`fy$$, 
             0.85 $CellContext`fz$$}]}; $CellContext`dwf34$ = {
           Opacity[
            Boole[
             Or[$CellContext`opa2$$ == 1, $CellContext`opa4$$ == 1]]], 
           Thickness[0.005], 
           Arrowheads[0.03], 
           Arrow[{{0, 0, 0}, {$CellContext`fx$$, 0, 0}}], 
           Text[
            Style[
            "\!\(\*\nStyleBox[SubscriptBox[\n  StyleBox[\"F\",\n\
FontSize->12], \"x\"],\nFontSlant->\"Italic\"]\)", 10, Bold], {
            1.15 $CellContext`fx$$, (-0.15) $CellContext`i$, (-0.15) \
$CellContext`i$}]}; $CellContext`dwf5$ = {
           Opacity[
            Boole[
             
             And[$CellContext`opa5$$ == $CellContext`opa$, $CellContext`f$ != 
              0]]], LightRed, 
           
           Triangle[{{0, 0, 
             0}, {$CellContext`fx$$, 0, 
              0}, {$CellContext`fx$$, $CellContext`fy$$, $CellContext`fz$$}}],
            Black, 
           Thickness[0.005], Dashed, 
           
           Line[{{$CellContext`fx$$, 0, 
              0}, {$CellContext`fx$$, $CellContext`fy$$, $CellContext`fz$$}}], 
           Dashing[{}], 
           Thickness[0.002], 
           Line[{$CellContext`xp$, 0.9 {$CellContext`fx$$, 0, 0}}], 
           
           Line[{$CellContext`xp$, {$CellContext`fx$$, 0.1 $CellContext`fy$$, 
              0.1 $CellContext`fz$$}}], 
           Thickness[0.005], Red, 
           $CellContext`arc$[{0, 0, 
            0}, $CellContext`sc2$ {$CellContext`a$, $CellContext`l$}], 
           Text[
            Style["\[Alpha]", 10, Bold], $CellContext`sc2$ 
            1.3 $CellContext`sc$ $CellContext`size$$ 
            Normalize[$CellContext`a$ + $CellContext`l$]]}; \
$CellContext`dwf6$ = {
           Opacity[
            Boole[
             
             And[$CellContext`opa6$$ == $CellContext`opa$, $CellContext`f$ != 
              0]]], LightBlue, 
           
           Triangle[{{0, 0, 0}, {
             0, $CellContext`fy$$, 
              0}, {$CellContext`fx$$, $CellContext`fy$$, $CellContext`fz$$}}],
            Black, 
           Thickness[0.005], Dashed, 
           
           Line[{{0, $CellContext`fy$$, 
              0}, {$CellContext`fx$$, $CellContext`fy$$, $CellContext`fz$$}}], 
           Dashing[{}], 
           Thickness[0.002], 
           Line[{$CellContext`yp$, 0.9 {0, $CellContext`fy$$, 0}}], 
           
           Line[{$CellContext`yp$, {
             0.1 $CellContext`fx$$, $CellContext`fy$$, 
              0.1 $CellContext`fz$$}}], 
           Thickness[0.005], Blue, 
           $CellContext`arc$[{0, 0, 
            0}, $CellContext`sc2$ {$CellContext`b$, $CellContext`l$}], 
           Text[
            Style["\[Beta]", 10, Bold], $CellContext`sc2$ 
            1.3 $CellContext`sc$ $CellContext`size$$ 
            Normalize[$CellContext`b$ + $CellContext`l$]]}; \
$CellContext`dwf7$ = {
           Opacity[
            Boole[
             
             And[$CellContext`opa7$$ == $CellContext`opa$, $CellContext`f$ != 
              0]]], LightPurple, 
           
           Triangle[{{0, 0, 0}, {
             0, 0, $CellContext`fz$$}, {$CellContext`fx$$, $CellContext`fy$$, \
$CellContext`fz$$}}], Black, 
           Thickness[0.005], Dashed, 
           
           Line[{{0, 
              0, $CellContext`fz$$}, {$CellContext`fx$$, $CellContext`fy$$, \
$CellContext`fz$$}}], 
           Dashing[{}], 
           Thickness[0.002], 
           Line[{$CellContext`zp$, 0.9 {0, 0, $CellContext`fz$$}}], 
           
           Line[{$CellContext`zp$, {
             0.1 $CellContext`fx$$, 
              0.1 $CellContext`fy$$, $CellContext`fz$$}}], 
           Thickness[0.005], Purple, 
           $CellContext`arc$[{0, 0, 
            0}, $CellContext`sc2$ {$CellContext`c$, $CellContext`l$}], 
           Text[
            Style["\[Gamma]", 10, Bold], $CellContext`sc2$ 
            1.3 $CellContext`sc$ $CellContext`size$$ 
            Normalize[$CellContext`c$ + $CellContext`l$]]}; $CellContext`dw1$ = 
         Graphics3D[{$CellContext`dwf1$, $CellContext`dwf2$, \
$CellContext`dwf3$, $CellContext`dwf4$, $CellContext`dwf34$}, 
           PlotRange -> $CellContext`size$$, Boxed -> False, 
           ViewPoint -> {
             0.5, -1, 0.5} $CellContext`size$$]; $CellContext`dw2$ = 
         Graphics3D[{
            
            EdgeForm[], $CellContext`dwf5$, $CellContext`dwf6$, \
$CellContext`dwf7$}]; Show[$CellContext`dw1$, $CellContext`dw2$]], 
      "Specifications" :> {{{$CellContext`size$$, 2, "Plot Range"}, {1, 2, 4, 
         8}, ImageSize -> Tiny, ControlType -> Setter, ControlPlacement -> 
         1}, {{$CellContext`fx$$, 0, 
          "\!\(\*SubscriptBox[\n StyleBox[\"F\",\nFontSlant->\"Italic\"], \"x\
\"]\)"}, -5, 5, ImageSize -> Tiny, Appearance -> "Labeled", ControlPlacement -> 
         2}, {{$CellContext`fy$$, 0, 
          "\!\(\*SubscriptBox[\n StyleBox[\"F\",\nFontSlant->\"Italic\"], \"y\
\"]\)"}, -5, 5, ImageSize -> Tiny, Appearance -> "Labeled", ControlPlacement -> 
         3}, {{$CellContext`fz$$, 0, 
          "\!\(\*SubscriptBox[\n StyleBox[\"F\",\nFontSlant->\"Italic\"], \"z\
\"]\)"}, -5, 5, ImageSize -> Tiny, Appearance -> "Labeled", ControlPlacement -> 
         4}, {{$CellContext`opa2$$, 0, 
          
          Row[{"Components of \!\(\*\nStyleBox[OverscriptBox[\"F\", \"\
\[RightVector]\"],\nFontSlant->\"Italic\"]\)", 
            Spacer[13]}]}, {1 -> "On", 0 -> "Off"}, ControlType -> 
         RadioButton, ControlPlacement -> 5}, {{$CellContext`opa3$$, 0, 
          
          Row[{"\!\(\*\nStyleBox[OverscriptBox[\"F\", \"\[RightVector]\"],\n\
FontSlant->\"Italic\"]\) Visibility", 
            Spacer[51]}]}, {1 -> "On", 0 -> "Off"}, ControlType -> 
         RadioButton, ControlPlacement -> 6}, {{$CellContext`opa4$$, 0, 
          Row[{"Sum of components", 
            Spacer[0]}]}, {1 -> "On", 0 -> "Off"}, ControlType -> RadioButton,
          ControlPlacement -> 7}, {{$CellContext`opa5$$, 0, 
          Row[{"Show \[Alpha]", 
            Spacer[65]}]}, {0.6 -> "On", 0 -> "Off"}, ControlType -> 
         RadioButton, ControlPlacement -> 8}, {{$CellContext`opa6$$, 0, 
          Row[{"Show \[Beta]", 
            Spacer[65]}]}, {0.6 -> "On", 0 -> "Off"}, ControlType -> 
         RadioButton, ControlPlacement -> 9}, {{$CellContext`opa7$$, 0, 
          Row[{"Show \[Gamma]", 
            Spacer[65]}]}, {0.6 -> "On", 0 -> "Off"}, ControlType -> 
         RadioButton, ControlPlacement -> 10}, 
        Grid[{{
           Manipulate`Place[1]}, {
           Manipulate`Place[2]}, {
           Manipulate`Place[3]}, {
           Manipulate`Place[4]}, {
           Manipulate`Place[5]}, {
           Manipulate`Place[6]}, {
           Manipulate`Place[7]}, {
           Manipulate`Place[8]}, {
           Manipulate`Place[9]}, {
           Manipulate`Place[10]}, {
           Row[{
             Dynamic[
              If[
               
               And[$CellContext`opa5$$ == 
                0.6, {$CellContext`fx$$, $CellContext`fy$$, \
$CellContext`fz$$} != {0, 0, 0}], $CellContext`temp1 = Row[{"\[Alpha] = ", 
                  Dynamic[
                   NumberForm[
                   ArcCos[$CellContext`fx$$/
                    Sqrt[$CellContext`fx$$^2 + $CellContext`fy$$^2 + \
$CellContext`fz$$^2]] (180/Pi), {3, 2}]], "\[Degree]"}], 
               Invisible[$CellContext`temp1]]], 
             Spacer[10], 
             Dynamic[
              If[
               
               And[$CellContext`opa6$$ == 
                0.6, {$CellContext`fx$$, $CellContext`fy$$, \
$CellContext`fz$$} != {0, 0, 0}], $CellContext`temp2 = Row[{"\[Beta] = ", 
                  Dynamic[
                   NumberForm[
                   ArcCos[$CellContext`fy$$/
                    Sqrt[$CellContext`fx$$^2 + $CellContext`fy$$^2 + \
$CellContext`fz$$^2]] (180/Pi), {3, 2}]], "\[Degree]"}], 
               Invisible[$CellContext`temp2]]], 
             Spacer[10], 
             Dynamic[
              If[
               
               And[$CellContext`opa7$$ == 
                0.6, {$CellContext`fx$$, $CellContext`fy$$, \
$CellContext`fz$$} != {0, 0, 0}], $CellContext`temp3 = Row[{"\[Gamma] = ", 
                  Dynamic[
                   NumberForm[
                   ArcCos[$CellContext`fz$$/
                    Sqrt[$CellContext`fx$$^2 + $CellContext`fy$$^2 + \
$CellContext`fz$$^2]] (180/Pi), {3, 2}]], "\[Degree]"}], 
               Invisible[$CellContext`temp3]]]}]}}, Alignment -> Left, 
         Spacings -> {Automatic, 1.5}]}, 
      "Options" :> {ControlPlacement -> Left}, "DefaultOptions" :> {}],
     ImageSizeCache->{894., {316., 325.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 TextAlignment->Center]
},
WindowSize->{1920, 997},
Visible->True,
ScrollingOptions->{"VerticalScrollRange"->Fit},
ShowCellBracket->Automatic,
CellContext->Notebook,
TrackCellChangeTimes->False,
Magnification:>1.5 Inherited,
FrontEndVersion->"11.0 for Microsoft Windows (64-bit) (July 28, 2016)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[1464, 33, 269, 8, 174, "Text"],
Cell[1736, 43, 66, 0, 45, "Text"],
Cell[1805, 45, 2658, 80, 117, "Text"],
Cell[4466, 127, 1124, 36, 103, "Text"],
Cell[5593, 165, 676, 18, 61, "Text"],
Cell[6272, 185, 631, 20, 97, "Text"],
Cell[6906, 207, 29424, 621, 789, "Output"],
Cell[36333, 830, 191, 6, 52, "Text"],
Cell[36527, 838, 521, 17, 55, "Text"],
Cell[37051, 857, 345, 13, 55, "Text"],
Cell[37399, 872, 21776, 468, 665, "Output"]
}
]
*)

(* End of internal cache information *)

(* NotebookSignature vxTkBvHyLs2xmDKt4zHdiNXJ *)
